
Figure - Bug #113836
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试10小时，出现CRASH: com.android.gallery3d（3）
2022-11-09 11:22 - CD Test赵飞

Status: CLOSED Start date: 2022-11-09

Priority: Normal Due date: 2022-11-16

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0044.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-11-14

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 200 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 180000 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 7913)

// Short Msg: java.lang.IllegalStateException

// Long Msg: java.lang.IllegalStateException: Failed to add the track to the muxer

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1320:user/test-keys

// Build Changelist: 1320

// Build Time: 1667844602000

// java.lang.IllegalStateException: Failed to add the track to the muxer

//     at android.media.MediaMuxer.nativeAddTrack(Native Method)

//     at android.media.MediaMuxer.addTrack(MediaMuxer.java:661)

//     at com.android.gallery3d.app.VideoUtils.genVideoUsingMuxer(VideoUtils.java:159)

//     at com.android.gallery3d.app.VideoUtils.startMute(VideoUtils.java:61)

//     at com.android.gallery3d.app.MuteVideo$1.run(MuteVideo.java:62)

//     at java.lang.Thread.run(Thread.java:920)

// 

【日志】

见附件

History

#1 - 2022-11-10 20:46 - CD APP-李德盛

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛
#2 - 2022-11-11 15:19 - CD APP-李德盛

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-12

- Root cause set to AOSP问题

■ My analysis

点击菜单栏的“静音”按钮生成静音视频时，生成失败抛出异常，需要catch后提示失败

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/161995/5

#3 - 2022-11-15 09:27 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- Fixed Version changed from 2022-11-12 to 2022-11-14

#4 - 2022-11-16 10:52 - CD Test赵飞

- % Done changed from 100 to 70

11月15号Release版本（user）未复现此问题

Monkey问题，继续跟踪2个版本

#5 - 2022-11-17 10:20 - CD Test赵飞

11月16号DB版本（user）未复现此问题

Monkey问题，继续跟踪1个版本

#6 - 2022-11-18 10:28 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- % Done changed from 70 to 80

11月17号Release版本（user）未复现此问题

已跟踪3个版本未复现，关闭此问题

#7 - 2022-11-18 10:28 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

- % Done changed from 80 to 100

#8 - 2022-12-22 20:52 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

161995 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lids1211@thundersoft.com
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/161995/5


FW:Gallery2: Fix crash 1138361. Catch all exception when create mute video.2. Use the right way to send video uri.TC-RID: 1201-0300701IssueID:

TS-R-BUG-113836Change-Id: Ida839e16182aa102c758a38f1c51396731f25400

Files

Tlog.zip.001 30 MB 2022-11-09 CD Test赵飞

Tlog.zip.002 20.8 MB 2022-11-09 CD Test赵飞
